TICKIT_TERM_EMIT_KEY(3)

NAME
tickit_term_emit_key, tickit_term_emit_mouse - emit a fake key or mouse event

SYNOPSIS
    #include <tickit.h>

    void tickit_term_emit_key(TickitTerm *tt, TickitKeyEventInfo *info);
    void tickit_term_emit_mouse(TickitTerm *tt, TickitMouseEventInfo *info);

Link with -ltickit.

DESCRIPTION
tickit_term_emit_key() invokes the event handler chain on the terminal instance, as if a key event had been received from the controlling terminal.tickit_term_emit_mouse() invokes the event handler chain on the terminal instance, as if a mouse event had been received from the controlling terminal.

In each case, the event handler chain runs with the usual semantics; each installed handler with the appropriate bit set in its event type mask will be invoked until one returns a true value. Any remaining handlers after this will not get to see the event.

SEE ALSO
tickit_term_new(3), tickit_term_bind_event(3), tickit_term(7), tickit(7)